var gulp = require('gulp');
var babel = require('gulp-babel');
var uglify = require('gulp-uglify');
var rename = require('gulp-rename');

function scripts() {
    return gulp.src(['!gulpfile.js', '!*.min.js', '*.js'])
        .pipe(babel())
        .pipe(uglify())
        .pipe(rename({
            suffix: '.min'
        }))
        .pipe(gulp.dest('.'));
}

gulp.task('default', scripts);